org.bouncycastle.asn1.smime

## Class SMIMECapabilities

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.smime.SMIMECapabilities

All Implemented Interfaces:
  DEREncodable

    public class SMIMECapabilities
    extends ASN1Encodable

Handler class for dealing with S/MIME Capabilities

### Field Summary

Fields
`static DERObjectIdentifier` `canNotDecryptAny`
`static DERObjectIdentifier` `dES_CBC` encryption algorithms preferences
`static DERObjectIdentifier` `dES_EDE3_CBC`
`static DERObjectIdentifier` `preferSignedData` general preferences
`static DERObjectIdentifier` `rC2_CBC`
`static DERObjectIdentifier` `sMIMECapabilitesVersions`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SMIMECapabilities(ASN1Sequence seq)`

### Method Summary

Methods
`java.util.Vector` `getCapabilities(DERObjectIdentifier capability)` returns a vector with 0 or more objects of all the capabilities matching the passed in capability OID.
`static SMIMECapabilities` `getInstance(java.lang.Object o)` return an Attribute object from the given object.
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### preferSignedData

    public static final DERObjectIdentifier preferSignedData

general preferences

#### canNotDecryptAny

    public static final DERObjectIdentifier canNotDecryptAny

#### sMIMECapabilitesVersions

    public static final DERObjectIdentifier sMIMECapabilitesVersions

#### dES_CBC

    public static final DERObjectIdentifier dES_CBC

encryption algorithms preferences

#### dES_EDE3_CBC

    public static final DERObjectIdentifier dES_EDE3_CBC

#### rC2_CBC

    public static final DERObjectIdentifier rC2_CBC

### Constructor Detail

#### SMIMECapabilities

    public SMIMECapabilities(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static SMIMECapabilities getInstance(java.lang.Object o)

return an Attribute object from the given object.

Parameters:
  `o` - the object we want converted.
Throws:
  `java.lang.IllegalArgumentException` - if the object cannot be converted.

#### getCapabilities

    public java.util.Vector getCapabilities(DERObjectIdentifier capability)

returns a vector with 0 or more objects of all the capabilities matching the passed in capability OID. If the OID passed is null the entire set is returned.

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     SMIMECapabilities ::= SEQUENCE OF SMIMECapability

Specified by:
  `toASN1Object` in class `ASN1Encodable`